Avro C#

Public Member Functions | List of all members
Avro.Reflect.DotnetClass Class Reference

Collection of DotNetProperty objects to repre More...

## Public Member Functions
| DotnetClass (Type t, RecordSchema r, ClassCache cache)
| Constructor More...
object | GetValue (object o, Field f)
| Return the value of a property from an object referenced by a field More...
void | SetValue (object o, Field f, object v)
| Set the value of a property in a C# object More...
Type | GetClassType ()
| Return the type of the Class More...
Type | GetPropertyType (Field f)
| Return the type of a property referenced by a field More...

## Detailed Description

Collection of DotNetProperty objects to repre

## Constructor & Destructor Documentation

## ◆ DotnetClass()

Avro.Reflect.DotnetClass.DotnetClass | ( | Type | t,
|  | RecordSchema | r,
|  | ClassCache | cache
| ) |  |
| inline

Constructor

Parameters

  t | type of the class
  r | record schema
  cache | class cache - can be reused

## Member Function Documentation

## ◆ GetClassType()

Type Avro.Reflect.DotnetClass.GetClassType | ( |  | ) |
| inline

Return the type of the Class

Returns
  The

## ◆ GetPropertyType()

Type Avro.Reflect.DotnetClass.GetPropertyType | ( | Field | f | ) |
| inline

Return the type of a property referenced by a field

Parameters

  f |

Returns

## ◆ GetValue()

object Avro.Reflect.DotnetClass.GetValue | ( | object | o,
|  | Field | f
| ) |  |
| inline

Return the value of a property from an object referenced by a field

Parameters

  o | the object
  f | FieldSchema used to look up the property

Returns

## ◆ SetValue()

void Avro.Reflect.DotnetClass.SetValue | ( | object | o,
|  | Field | f,
|  | object | v
| ) |  |
| inline

Set the value of a property in a C# object

Parameters

  o | the object
  f | field schema
  v | value for the property referenced by the field schema

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/DotnetClass.cs